body{
  background:#e3e9f7;
  font-family: Arial;
  margin:0;
  color:white;
}

/* Gallery center */
.gallery{
  display:grid;
  grid-template-columns: repeat(2,1fr);
  gap: 5px;
  padding: 10px;
  flex-direction:column;
  align-items:center;
}

/* Post (Instagram style center) */
.post{
  width:100%;
  max-width:400px;
  background: rgba(65, 64, 64, 0.247);
  margin:20px 0;
  border-radius:15px;
  overflow:hidden;
  backdrop-filter: blur(10px);
  box-shadow:0 10px 30px rgba(66, 66, 66, 0.4);
  transition:0.4s;
}

/* hover 3D */
.post:hover{
  transform: scale(1.02);
}

/* Header */
.post-header{
  display:flex;
  align-items:center;
  padding:10px;
  font-weight:bold;
}

.logo{
  width:35px;
  height:35px;
  border-radius:50%;
  margin-right:10px;
}

/* Image */
.img-box{
  position:relative;
  background: #000;
}

.img-box img{
  width:100%;
  height:auto;
  object-fit:contain;
  transition:0.4s;
}

/* 3D hover */
.img-box:hover img{
  transform: scale(1.05);
}

/* ❤️ heart */
.heart{
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%) scale(0);
  font-size:60px;
  opacity:0;
  transition:0.3s;
}

.heart.show{
  transform:translate(-50%,-50%) scale(1.5);
  opacity:1;
}

/* Caption */
.caption{
  padding:10px;
  font-size:14px;
}

/* Actions */
.actions{
  padding:10px;
  font-size:22px;
  display:flex;
  gap:15px;
}

.liked{
  color:red;
}

/* Comment */
.comment-box{
  display:none;
  padding:10px;
}

.comment-box input{
  width:100%;
  padding:6px;
  border-radius:5px;
  border:none;
}

/* Animation */
.post{
  opacity:0;
  transform:translateY(40px);
  animation:fadeUp 0.6s forwards;
}

@keyframes fadeUp{
  to{
    opacity:1;
    transform:translateY(0);
  }
}

/* Mobile */
@media(max-width:768px){
  .img-box img{
    height:250px;
  }
}
.actions span{
  cursor: pointer;
  font-size: 22px;
  transition: 0.2s;
}

/* ❤️ like effect */
.liked{
  color: red;
  transform: scale(1.2);
}

/* click animation */
.actions span:active{
  transform: scale(1.4);
}